1

I have used {exp:jquery:script_tag} in my code but it looks like is breaking responsive layout (after it goes to "mobile friendly" layout and then re-size it back to the desktop size background and all CSS elements are missing)

Header code:

<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    {exp:seo_lite use_last_segment="yes"}

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
    <script type="text/javascript" src="js/main.js"></script>

    <link href="http://netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">
    <link href='http://fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
    <link href="css/normalize.css" rel="stylesheet" />
    <link href="{stylesheet='styles/main'}" rel="stylesheet" />
    {exp:jquery:script_tag}

</head>
<body>

Any clue what is going on?

6
  • Breaking how? What kind of javascript console errors are you seeing? I think you need more details here for this to be an answerable question. Jan 20 '14 at 16:18
  • Is it possible you have included jQuery twice on the page?
    – mjr
    Jan 20 '14 at 17:04
  • Please see updates OP Jan 20 '14 at 19:57
  • 1
    This is way too vague. Can you either share any console output or a link where we can see for ourselves? jQuery script-tag just includes jQuery, no frills. I think it's a somewhat old version, but that's pretty much it.
    – Steven
    Jan 21 '14 at 9:12
  • I'm using latest EE and site in on a local staging server. What I see {exp:jquery:script_tag} is loading jQuery 1.7.2 when I need to use 1.9.x Jan 21 '14 at 15:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.